.parent__item{
    position: relative;
    padding: 50px;
    width: 300px;
    height: 200px;
    background-color: brown;
    margin-right: 1px;
    text-align: center;
    box-shadow: 0 0 20px  rgb(24, 21, 21);
}

.parent {
    position: relative;
    display: flex;
    padding-top: 30px;

}

.parent__item1 {
    z-index: 1;
}

.parent__item2 {
    z-index: 2;
    right: 100px;
}

.parent__item3 {
    z-index: 3;
    right: 200px;
}

.parent__item4 {
    z-index: 4;
    right: 300px;
}

.parent__item5 {
    z-index: 5;
    right: 400px;
} 

.parent :nth-last-child(1n):hover {
    height: 300px;
    position: relative;
    bottom: 15px;

}